Subject: [bug#66348] [PATCH RFC] gnu: glibc: Fix CVE-2023-4911.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 05 Oct 2023 07:46:49 +0200

Am Mittwoch, dem 04.10.2023 um 21:27 +0200 schrieb Liliana Marie
Prikler:
> * gnu/packages/patches/glibc-2.35-CVE-2023-4911.patch: New file.
> * gnu/local.mk: Register it here.
> * gnu/packages/base.scm (glibc/fixed): New variable.
> (glibc): Use it as replacement.
> ---
> Hi folks,
> 
> you might have heard about a little bad boi called CVE-2023-4911.
> Stirred up some news recently.  I've "backported" the fix that's
> currently sleeping on glibc master to our current glibc; only a test
> needed adjusting.  I still have to verify that it works in a vm, but
> it appears to be rebuilding more than I anticipated, so that might
> take me some time.
> 
> Anyway, have at it in the meantime.
Confirmed in a VM that su no longer segfaults with this.

Cheers